Pular para o conteúdo principal
GET
/
v1
/
bots
/
{botId}
/
templates
Obtener Plantillas
curl --request GET \
  --url https://api.jelou.ai/v1/bots/{botId}/templates \
  --header 'Authorization: Basic <encoded-value>'
{
  "message": "<string>",
  "statusMessage": "<string>",
  "status": 123,
  "error": {
    "code": "<string>",
    "key": "<string>",
    "description": "<string>",
    "developerMessages": {},
    "clientMessages": {}
  },
  "validationError": {}
}
Obtenha a lista de todos os templates configurados no seu bot. Você pode filtrar por nome, status ou categoria.
GET /v1/bots/{botId}/templates
Revise os templates existentes antes de criar um novo para evitar duplicatas.

Parâmetros de Path

PropriedadeTipoDescrição
botIdstringID único do bot. Exemplo: 123456789

Parâmetros de Query

PropriedadeTipoDescrição
querystringPesquisar templates por elementName
statusstringPesquisar templates por status. Valores possíveis: PENDING, REJECTED, APPROVED
categorystringPesquisar templates por categoria. Valores possíveis: UTILITY, MARKETING, AUTHENTICATION

Respostas

{
  "data": [
    {
      "template": "Hello! We are *Jelou*. \nWelcome _{{1}}_.",
      "displayName": "Welcome",
      "elementName": "welcome_customer",
      "params": [
        {"label": "Customer name", "param": "1"}
      ],
      "paramsNumber": 1,
      "isVisible": true,
      "language": "EN",
      "status": "APPROVED",
      "category": "UTILITY",
      "createdAt": "2021-01-28T15:08:38.492Z",
      "updatedAt": "2021-01-28T15:08:38.492Z"
    }
  ]
}
{
  "message": "Authentication failed"
}
{
  "message": ["The Bot could not be found at the moment."],
  "statusMessage": "failed",
  "error": {
    "code": "E1019",
    "key": "BOT_NOT_FOUND"
  }
}

Autorizações

Authorization
string
header
obrigatório

Basic authentication using Base64 encoded clientId:clientSecret

Parâmetros de caminho

botId
string
obrigatório

Parâmetros de consulta

query
string

Buscar por elementName

status
enum<string>
Opções disponíveis:
PENDING,
REJECTED,
APPROVED
category
enum<string>
Opções disponíveis:
UTILITY,
MARKETING,
AUTHENTICATION

Resposta

Plantillas recuperadas exitosamente